Impact Stories
Read public stories for a program
Returns only approved/published stories with public privacy and public-safe consent. Library references are excluded, media clearance hides or replaces blocked files, and only approved offers are exposed. Requires the impact_stories feature.
GET
/
frontend
/
impact-stories
/
program
/
{client_id}
/
{program_id}
Read public stories for a program
curl --request GET \
--url https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}import requests
url = "https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"program": {
"id": 42,
"name": "Education update",
"type": "Education update"
},
"stories": [
{
"id": 42,
"title": "Education update",
"headline": "Education update",
"summary": "Education update",
"story_type": "Education update",
"story_date": "2026-10-20",
"updated_at": "2026-10-20T12:00:00Z",
"slug": "Education update",
"body": "Education update",
"pull_quote": "Education update",
"primary_asset": {
"id": 42,
"asset_type": "Education update",
"title": "Education update",
"caption": "Education update",
"provider": "Education update",
"available": true,
"open_source": true,
"workspace_file_id": "Education update",
"preview_url": "Education update",
"thumbnail_url": "Education update",
"source_url": "Education update",
"download_url": "Education update",
"drive_file_id": "Education update",
"consent_status": "unknown",
"is_primary": true,
"metadata_json": {}
},
"media": [
{
"id": 42,
"asset_type": "Education update",
"title": "Education update",
"caption": "Education update",
"provider": "Education update",
"available": true,
"open_source": true,
"workspace_file_id": "Education update",
"preview_url": "Education update",
"thumbnail_url": "Education update",
"source_url": "Education update",
"download_url": "Education update",
"drive_file_id": "Education update",
"consent_status": "unknown",
"is_primary": true,
"metadata_json": {}
}
],
"offers": [
{
"id": 42,
"title": "Education update",
"beneficiary_label": "Education update",
"problem_statement": "Education update",
"solution_statement": "Education update",
"cost_currency": "Education update",
"cost_label": "Education update",
"hope_statement": "Education update",
"ask_copy": "Education update",
"donor_safe_summary": "Education update",
"cost_amount": 25
}
],
"program_fees": [
{
"id": 42,
"title": "Education update",
"beneficiary_label": "Education update",
"problem_statement": "Education update",
"solution_statement": "Education update",
"cost_currency": "Education update",
"cost_label": "Education update",
"hope_statement": "Education update",
"ask_copy": "Education update",
"donor_safe_summary": "Education update",
"cost_amount": 25
}
]
}
]
}
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Path Parameters
Client id in the current organization.
Program id in the current organization.
Query Parameters
Limit. Validation: nullable, integer, min:1, max:50.
Required range:
1 <= x <= 50⌘I
Read public stories for a program
curl --request GET \
--url https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}import requests
url = "https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/impact-stories/program/{client_id}/{program_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"program": {
"id": 42,
"name": "Education update",
"type": "Education update"
},
"stories": [
{
"id": 42,
"title": "Education update",
"headline": "Education update",
"summary": "Education update",
"story_type": "Education update",
"story_date": "2026-10-20",
"updated_at": "2026-10-20T12:00:00Z",
"slug": "Education update",
"body": "Education update",
"pull_quote": "Education update",
"primary_asset": {
"id": 42,
"asset_type": "Education update",
"title": "Education update",
"caption": "Education update",
"provider": "Education update",
"available": true,
"open_source": true,
"workspace_file_id": "Education update",
"preview_url": "Education update",
"thumbnail_url": "Education update",
"source_url": "Education update",
"download_url": "Education update",
"drive_file_id": "Education update",
"consent_status": "unknown",
"is_primary": true,
"metadata_json": {}
},
"media": [
{
"id": 42,
"asset_type": "Education update",
"title": "Education update",
"caption": "Education update",
"provider": "Education update",
"available": true,
"open_source": true,
"workspace_file_id": "Education update",
"preview_url": "Education update",
"thumbnail_url": "Education update",
"source_url": "Education update",
"download_url": "Education update",
"drive_file_id": "Education update",
"consent_status": "unknown",
"is_primary": true,
"metadata_json": {}
}
],
"offers": [
{
"id": 42,
"title": "Education update",
"beneficiary_label": "Education update",
"problem_statement": "Education update",
"solution_statement": "Education update",
"cost_currency": "Education update",
"cost_label": "Education update",
"hope_statement": "Education update",
"ask_copy": "Education update",
"donor_safe_summary": "Education update",
"cost_amount": 25
}
],
"program_fees": [
{
"id": 42,
"title": "Education update",
"beneficiary_label": "Education update",
"problem_statement": "Education update",
"solution_statement": "Education update",
"cost_currency": "Education update",
"cost_label": "Education update",
"hope_statement": "Education update",
"ask_copy": "Education update",
"donor_safe_summary": "Education update",
"cost_amount": 25
}
]
}
]
}
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}